Bug 1120859 - [RFE] Do not delete old problem reports from list
Summary: [RFE] Do not delete old problem reports from list
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9baa489d12e462a95f5d2e1e5b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:30 UTC by Michael Catanzaro
Modified: 2019-01-18 15:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1534191 (view as bug list)
Environment:
Last Closed: 2017-12-12 10:16:26 UTC


Attachments (Terms of Use)
Screenshot: what I see when I open ABRT, despite dozens of recent crashes (13.35 KB, image/png)
2019-01-18 15:01 UTC, Michael Catanzaro
no flags Details

Description Michael Catanzaro 2014-07-17 21:30:18 UTC
Description of problem:
ABRT regularly deletes old problem reports, presumably to save space on the user's hard drive. But these reports disappear from gnome-abrt's problem list mysteriously, without any explaination to the user. They either should remain in the list forever, with disabled functionality (ideal), or else there should be a notice in the UI to explain why old reports often disappear.

Version-Release number of selected component:
gnome-abrt-0.3.7

Additional info:
reporter:       libreport-2.2.2
kernel:         3.15.4-200.fc20.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2015-05-29 12:23:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jan Kurik 2015-07-15 14:39:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Christian Stadelmann 2016-04-11 09:52:20 UTC
I've never seen abrt/libreport doing that, and I have dozends of bug reports. Can you confirm this issue is happening?

Maybe you are just mistaking this for the fact that abrt is auto-detecting duplicate crashes and changes the date in gnome-abrt to the last occurrence.

Comment 4 Jakub Filak 2016-04-11 10:04:46 UTC
(In reply to Christian Stadelmann from comment #3)
> I've never seen abrt/libreport doing that, and I have dozends of bug
> reports. Can you confirm this issue is happening?
> 
> Maybe you are just mistaking this for the fact that abrt is auto-detecting
> duplicate crashes and changes the date in gnome-abrt to the last occurrence.

Christian, it is definitely possible.

Reproducer:
1. start gnome-abrt
2. # du -sh /var/spool/abrt
3. set MaxCrashReportsSize="the result above - some sane value" in /etc/abrt/abrt.conf
4. generate a new crash (will_segfault)
5. wait until a new entry appears in the list of problems
6. select the new entry and click the Report button
7. close the reporting window
8. several problems dissapear

Comment 5 Michael Catanzaro 2016-04-11 12:51:30 UTC
(In reply to Christian Stadelmann from comment #3)
> I've never seen abrt/libreport doing that, and I have dozends of bug
> reports. Can you confirm this issue is happening?
> 
> Maybe you are just mistaking this for the fact that abrt is auto-detecting
> duplicate crashes and changes the date in gnome-abrt to the last occurrence.

It even deletes crashes while they are being reported, which doesn't work too well you can imagine. :) There's a different bug for that somewhere.

Comment 6 Fedora End Of Life 2016-11-24 11:11:24 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-11-16 19:40:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Christian Stadelmann 2017-11-16 20:00:22 UTC
Still present on F27.

Comment 9 Fedora End Of Life 2017-12-12 10:16:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Matej Marušák 2019-01-18 11:01:22 UTC
We need suggestions what can be done. Not removing any problems at all from UI is definitely not the way to go, as the list may get absurdly long (and expecting user to click on each single one and remove it manually is not acceptable).
Explanation would make more sense, but no idea where to put this (and when, as it does not make sense to notify user why problems can disappear when no problems for the given user do).

If someone can come with good design, I am not against having that implemented in gnome-abrt. Any specific ideas Michael?

Comment 11 Michael Catanzaro 2019-01-18 15:01:06 UTC
One possibility: you could only show problems from the last 30 days (or two weeks, or whatever), and somehow indicate that only problems from the last however many days are shown. (UI designers could help with figuring out the best way to indicate this.) If the core file is no longer available in coredumpctl, you can still display the crash -- since it's unexpected for them to disappear before the time limit -- but indicate in some clear and obvious manner that the crash can no longer be reported because the associated problem reporting data has been removed to save disk space.

Goal is to get away from seeing this:

<see attachment>

I've had dozens of crashes in the past week. Opening ABRT and seeing that makes me think it's not working.

Comment 12 Michael Catanzaro 2019-01-18 15:01:37 UTC
Created attachment 1521559 [details]
Screenshot: what I see when I open ABRT, despite dozens of recent crashes


Note You need to log in before you can comment on or make changes to this bug.